post
https://api.myvendy.com/payout
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Endpoint to initiate a payout. Add a payout account and use its id as payoutAccountId.
API keys onlyPayouts can only be created with API keys. Dashboard sessions get
403with code386. To pay an account you haven't saved, use Transfers.
Request:
| Field | Type | Description |
|---|---|---|
| amount | Double | Amount to be withdrawn |
| walletId | Integer | Unique identifier of wallet to be debited |
| payoutAccountId | Integer | Payout account identifier |
Example request
curl --location 'https://api.myvendy.com/payout' \
--header 'Content-Type: application/json' \
--header "AccessKey: $VENDY_ACCESS_KEY" \
--header "SecretKey: $VENDY_SECRET_KEY" \
--data '{
"amount": 100,
"walletId": 1,
"payoutAccountId": 15
}'Response:
| Field | Type | Description |
|---|---|---|
| status | Boolean | States if request was successfully executed or not |
| code | Integer | Internal code, success if 200 |
| msg | String | A description of the status of the request |
| data | Payout | Newly initiated payout details |
Example response
{
"status": true,
"code": 200,
"msg": "Payout created",
"data": {
"id": 19,
"amount": 5,
"uid": 1,
"businessId": 1,
"walletId": 1,
"bankId": 15,
"refid": "ebb8c13f-8e59-4d63-b214-09f3225b8cf1",
"currency": "NGN",
"channel": "bank",
"status": "pending",
"updatedAt": "2022-09-27T19:28:11.421Z",
"createdAt": "2022-09-27T19:28:11.421Z",
"bankaccounts": {
"id": 15,
"uid": 1,
"businessId": 1,
"defaultBank": false,
"accountnumber": "123123123",
"maskedaccountnumber": "******903110",
"bankname": "GTBank",
"beneficiaryname": "Test User",
"beneficiarycountry": "NGA",
"type": "bank",
"email": null,
"createdAt": "2022-07-18T06:00:49.000Z",
"updatedAt": "2022-07-18T06:00:49.000Z"
},
"wallets": {
"id": 1,
"ownerid": 1,
"uid": 1,
"businessId": 1,
"balance": 480,
"lockedBalance": 0,
"meta": null,
"pendingInflow": 40,
"pendingWithdrawal": 80,
"status": "active",
"type": "balance",
"currency": "NGN",
"fee": 0.015,
"createdAt": "2022-08-18T11:32:31.000Z",
"updatedAt": "2022-09-08T09:59:11.000Z",
"deletedAt": null
}
}
}